CVE-2006-1572
CVSS5.0
发布时间 :2006-03-31 19:04:00
修订时间 :2011-03-07 21:33:19
NMCO    

[原文]SQL injection vulnerability in post.php in Oxygen 1.1.3 allows remote attackers to execute arbitrary SQL commands via the fid parameter in a newthread action.


[CNNVD]O2PHP Oxygen 'Post.PHP' SQL注入漏洞(CNNVD-200603-533)

        在Oxygen 1.1.3的post.php中存在SQL注入漏洞,远程攻击者可通一个newthread操作中的fid参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:o2php.com:oxygen:1.0.11
cpe:/a:o2php.com:oxygen:1.1.1
cpe:/a:o2php.com:oxygen:1.1.2
cpe:/a:o2php.com:oxygen:1.1.3
cpe:/a:o2php.com:oxygen:1.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1572
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1572
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-533
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1181
(UNKNOWN)  VUPEN  ADV-2006-1181
http://www.securityfocus.com/bid/17324
(UNKNOWN)  BID  17324
http://www.securityfocus.com/archive/1/archive/1/429474/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060330 Oxygen<=1.x.x SQL injection
http://secunia.com/advisories/19481
(VENDOR_ADVISORY)  SECUNIA  19481
http://xforce.iss.net/xforce/xfdb/25570
(UNKNOWN)  XF  oxygen-post-sql-injection(25570)
http://www.osvdb.org/24287
(UNKNOWN)  OSVDB  24287
http://securityreason.com/securityalert/658
(UNKNOWN)  SREASON  658

- 漏洞信息

O2PHP Oxygen 'Post.PHP' SQL注入漏洞
中危 SQL注入
2006-03-31 00:00:00 2006-04-03 00:00:00
远程  
        在Oxygen 1.1.3的post.php中存在SQL注入漏洞,远程攻击者可通一个newthread操作中的fid参数执行任意SQL命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,厂商发布了相关更新。

- 漏洞信息

24287
Oxygen post.php fid Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

Oxygen contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the post.php script not properly sanitizing user-supplied input to the 'fid' variable. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2006-03-30 Unknow
2006-03-30 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站